curl --location 'https://api.sandbox.wepayout.co/v2/payin/payments' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_TOKEN_HERE' \
--data-raw '{
"pix": {
"expire_date": "2025-12-31T23:59:59"
},
"buyer": {
"name": "Buyer Name",
"document": {
"type": "CPF",
"number": "34960826312"
},
"email": "buyer-email@wepayments.com.br"
},
"amount": 3000,
"invoice": "YOUR-CODE1234",
"country": "BR",
"currency": "BRL",
"payment_method": "pix"
}'
curl --location 'https://api.sandbox.wepayout.co/v2/payin/payments' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_TOKEN_HERE' \
--data-raw '{
"payment_method": "pix",
"invoice": "YOUR-CODE1234",
"currency": "BRL",
"amount": 3000,
"country": "BR",
"buyer": {
"name": "Buyer Name",
"email": "buyer-email@wepayments.com.br",
"document": {
"type": "CPF",
"number": "34960826312"
}
},
"pix": {
"expire_date": "2025-12-31T23:59:59"
},
"automatic_pix": {
"frequency": "monthly",
"amount": 3000,
"type": "immediate",
"contract_id": "CONTRACT-1234",
"contract_name": "Monthly Service",
"start_date": "2025-01-01"
}
}'
curl --location 'https://api.sandbox.wepayout.co/v2/payin/payments' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_TOKEN_HERE' \
--data-raw '{
"payment_method": "boleto",
"invoice": "YOUR-INVOICE-CODE",
"currency": "BRL",
"amount": 500,
"country": "BR",
"buyer": {
"name": "Buyer Name",
"email": "buyer@example.com",
"document": {
"type": "CPF",
"number": "12345678901"
},
"address": {
"street": "Street Name",
"number": "123",
"complement": "Apt 456",
"zipcode": "12345000",
"city": "City Name",
"district": "District Name",
"state_code": "SP"
}
},
"originator_legal_entity": {
"name": "Company Name",
"document": "12345678901",
"helpdesk": "company.com"
},
"boleto": {
"expire_date": "2025-12-31"
}
}'
{
"id": 51687,
"merchant": {
"id": 477,
"name": "Merchant Test Sandbox"
},
"hash": "642fadb2dd586c6fe00ed4c47193757c1db23d190378817976391f1c61787847",
"payment_page": "https://pagar.sandbox.goboleto.com/?hash=642fadb2dd586c6fe00ed4c47193757c1db23d190378817976391f1c61787847",
"our_number": "30896",
"invoice": "YOUR-INVOICE-CODE",
"notification_url": null,
"payment_method": "pix",
"amount": 3000,
"paid_amount": null,
"refunded_amount": null,
"currency": {
"id": 19,
"name": "Reais",
"code": "BRL",
"symbol": "R$"
},
"description": "",
"created_at": "2025-11-19T11:45:27.000000Z",
"updated_at": "2025-11-19T11:45:28.000000Z",
"buyer": {
"name": "Buyer Name",
"email": "buyer@example.com",
"document": {
"type": "cpf",
"number": "12345678901"
},
"address": {
"country": "BR",
"city": null,
"street": null,
"number": null,
"complement": null,
"zipcode": null,
"district": null,
"state_code": null
}
},
"originator_legal_entity": {
"name": null,
"document": null,
"helpdesk": null
},
"pix": {
"expire_date": "2025-12-31T23:59:59",
"refund_mode": "FULL_REFUND_MERCHANT",
"qr_code": "00020126910014BR.GOV.BCB.PIX2569api-pix-h.bancobs2.com.br/spi/v2/7cc95f1a-743e-4f4a-a3ad-e2ba14f5f6f8520400005303986540510.005802BR5908Wepayout6014Belo Horizonte61083038040362070503***63049F6B",
"end_to_end": null,
"fine": {
"percent": null,
"amount": null,
"date": null
},
"discount": {
"percent": null,
"amount": null,
"date": null
}
},
"status": {
"id": 1,
"name": "Created"
},
"status_history": [
{
"status": {
"id": 1,
"name": "Created"
},
"updated_at": "2025-11-19T11:45:28.000000Z"
}
],
"substatus": null,
"refunds": [],
"automatic_pix": null
}
{
"id": 51699,
"merchant": {
"id": 477,
"name": "Merchant Test Sandbox"
},
"hash": "642fadb2dd586c6fe00ed4c47193757c1db23d190378817976391f1c61787847",
"payment_page": "https://pagar.sandbox.goboleto.com/?hash=642fadb2dd586c6fe00ed4c47193757c1db23d190378817976391f1c61787847",
"our_number": "30896",
"invoice": "YOUR-INVOICE-CODE",
"notification_url": null,
"payment_method": "pix",
"amount": 3000,
"paid_amount": null,
"refunded_amount": null,
"currency": {
"id": 19,
"name": "Reais",
"code": "BRL",
"symbol": "R$"
},
"description": "",
"created_at": "2025-11-19T11:45:27.000000Z",
"updated_at": "2025-11-19T11:45:28.000000Z",
"buyer": {
"name": "Buyer Name",
"email": "buyer@example.com",
"document": {
"type": "cpf",
"number": "12345678901"
},
"address": {
"country": "BR",
"city": null,
"street": null,
"number": null,
"complement": null,
"zipcode": null,
"district": null,
"state_code": null
}
},
"originator_legal_entity": {
"name": null,
"document": null,
"helpdesk": null
},
"pix": {
"expire_date": "2025-12-31T23:59:59",
"refund_mode": "FULL_REFUND_MERCHANT",
"qr_code": "00020126910014BR.GOV.BCB.PIX2569api-pix-h.bancobs2.com.br/spi/v2/7cc95f1a-743e-4f4a-a3ad-e2ba14f5f6f8520400005303986540510.005802BR5908Wepayout6014Belo Horizonte61083038040362070503***63049F6B",
"end_to_end": null,
"fine": {
"percent": null,
"amount": null,
"date": null
},
"discount": {
"percent": null,
"amount": null,
"date": null
}
},
"status": {
"id": 1,
"name": "Created"
},
"status_history": [
{
"status": {
"id": 1,
"name": "Created"
},
"updated_at": "2025-11-19T11:45:28.000000Z"
}
],
"substatus": null,
"refunds": [],
"automatic_pix": {
"authorization_id": "auth_123456",
"schedule_id": "sch_123456",
"contract_id": "CONTRACT-1234"
}
}
{
"id": 51693,
"merchant": {
"id": 477,
"name": "Merchant Test Sandbox"
},
"hash": "4e3ff53ee230bdfe7f61c3a25f0a3d36380996dfdae24d60c8a51e175af01de2",
"payment_page": "https://pagar.sandbox.goboleto.com/?hash=4e3ff53ee230bdfe7f61c3a25f0a3d36380996dfdae24d60c8a51e175af01de2",
"our_number": "991763554947",
"invoice": "YOUR-INVOICE-CODE",
"notification_url": null,
"payment_method": "boleto",
"amount": 500,
"paid_amount": null,
"refunded_amount": null,
"currency": {
"id": 19,
"name": "Reais",
"code": "BRL",
"symbol": "R$"
},
"description": "",
"created_at": "2025-11-19T12:22:27.000000Z",
"updated_at": "2025-11-19T12:22:27.000000Z",
"buyer": {
"name": "Buyer Name",
"email": "buyer@example.com",
"document": {
"type": "cpf",
"number": "12345678901"
},
"address": {
"country": "BR",
"city": "City Name",
"street": "Street Name",
"number": "123",
"complement": "Apt 456",
"zipcode": "12345000",
"district": "District Name",
"state_code": "SP"
}
},
"originator_legal_entity": {
"name": "Company Name",
"document": "12345678901",
"helpdesk": "company.com"
},
"boleto": {
"expire_date": "2025-12-31",
"digitable_line": "10499.63208 34000.100049 66666.344205 1 81490000000200",
"bar_code_number": "10491814900000002009632034000900041179634666",
"agreement": {
"number": "666666",
"digit": "6",
"agency": "9999",
"assignor_code": "9999/666666-6"
},
"fine": {
"percent": null,
"amount": null,
"date": null
},
"discount": {
"percent": null,
"amount": null,
"daily_amount": null,
"date": null
}
},
"status": {
"id": 1,
"name": "Created"
},
"status_history": [
{
"status": {
"id": 1,
"name": "Created"
},
"updated_at": "2025-11-19T12:22:27.000000Z"
}
],
"substatus": null,
"refunds": [],
"automatic_pix": null
}
{
"message": "Exception Message"
}
{
"message": "The given data was invalid.",
"errors": {
"pix.expire_date": [
"The pix.expire date must be a date after now."
]
}
}
{
"error": "Forbidden Resource"
}
{
"message": "The given data was invalid.",
"errors": {
"pix.allowed_accounts.0.ispb": [
"The pix.allowed accounts.0.ispb must be 8 characters."
]
}
}
{
"error": "Internal error"
}
Create Charge
Generate a new QR Code Pix or Boleto payment request
POST
/
v2
/
payin
/
payments
curl --location 'https://api.sandbox.wepayout.co/v2/payin/payments' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_TOKEN_HERE' \
--data-raw '{
"pix": {
"expire_date": "2025-12-31T23:59:59"
},
"buyer": {
"name": "Buyer Name",
"document": {
"type": "CPF",
"number": "34960826312"
},
"email": "buyer-email@wepayments.com.br"
},
"amount": 3000,
"invoice": "YOUR-CODE1234",
"country": "BR",
"currency": "BRL",
"payment_method": "pix"
}'
curl --location 'https://api.sandbox.wepayout.co/v2/payin/payments' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_TOKEN_HERE' \
--data-raw '{
"payment_method": "pix",
"invoice": "YOUR-CODE1234",
"currency": "BRL",
"amount": 3000,
"country": "BR",
"buyer": {
"name": "Buyer Name",
"email": "buyer-email@wepayments.com.br",
"document": {
"type": "CPF",
"number": "34960826312"
}
},
"pix": {
"expire_date": "2025-12-31T23:59:59"
},
"automatic_pix": {
"frequency": "monthly",
"amount": 3000,
"type": "immediate",
"contract_id": "CONTRACT-1234",
"contract_name": "Monthly Service",
"start_date": "2025-01-01"
}
}'
curl --location 'https://api.sandbox.wepayout.co/v2/payin/payments' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_TOKEN_HERE' \
--data-raw '{
"payment_method": "boleto",
"invoice": "YOUR-INVOICE-CODE",
"currency": "BRL",
"amount": 500,
"country": "BR",
"buyer": {
"name": "Buyer Name",
"email": "buyer@example.com",
"document": {
"type": "CPF",
"number": "12345678901"
},
"address": {
"street": "Street Name",
"number": "123",
"complement": "Apt 456",
"zipcode": "12345000",
"city": "City Name",
"district": "District Name",
"state_code": "SP"
}
},
"originator_legal_entity": {
"name": "Company Name",
"document": "12345678901",
"helpdesk": "company.com"
},
"boleto": {
"expire_date": "2025-12-31"
}
}'
{
"id": 51687,
"merchant": {
"id": 477,
"name": "Merchant Test Sandbox"
},
"hash": "642fadb2dd586c6fe00ed4c47193757c1db23d190378817976391f1c61787847",
"payment_page": "https://pagar.sandbox.goboleto.com/?hash=642fadb2dd586c6fe00ed4c47193757c1db23d190378817976391f1c61787847",
"our_number": "30896",
"invoice": "YOUR-INVOICE-CODE",
"notification_url": null,
"payment_method": "pix",
"amount": 3000,
"paid_amount": null,
"refunded_amount": null,
"currency": {
"id": 19,
"name": "Reais",
"code": "BRL",
"symbol": "R$"
},
"description": "",
"created_at": "2025-11-19T11:45:27.000000Z",
"updated_at": "2025-11-19T11:45:28.000000Z",
"buyer": {
"name": "Buyer Name",
"email": "buyer@example.com",
"document": {
"type": "cpf",
"number": "12345678901"
},
"address": {
"country": "BR",
"city": null,
"street": null,
"number": null,
"complement": null,
"zipcode": null,
"district": null,
"state_code": null
}
},
"originator_legal_entity": {
"name": null,
"document": null,
"helpdesk": null
},
"pix": {
"expire_date": "2025-12-31T23:59:59",
"refund_mode": "FULL_REFUND_MERCHANT",
"qr_code": "00020126910014BR.GOV.BCB.PIX2569api-pix-h.bancobs2.com.br/spi/v2/7cc95f1a-743e-4f4a-a3ad-e2ba14f5f6f8520400005303986540510.005802BR5908Wepayout6014Belo Horizonte61083038040362070503***63049F6B",
"end_to_end": null,
"fine": {
"percent": null,
"amount": null,
"date": null
},
"discount": {
"percent": null,
"amount": null,
"date": null
}
},
"status": {
"id": 1,
"name": "Created"
},
"status_history": [
{
"status": {
"id": 1,
"name": "Created"
},
"updated_at": "2025-11-19T11:45:28.000000Z"
}
],
"substatus": null,
"refunds": [],
"automatic_pix": null
}
{
"id": 51699,
"merchant": {
"id": 477,
"name": "Merchant Test Sandbox"
},
"hash": "642fadb2dd586c6fe00ed4c47193757c1db23d190378817976391f1c61787847",
"payment_page": "https://pagar.sandbox.goboleto.com/?hash=642fadb2dd586c6fe00ed4c47193757c1db23d190378817976391f1c61787847",
"our_number": "30896",
"invoice": "YOUR-INVOICE-CODE",
"notification_url": null,
"payment_method": "pix",
"amount": 3000,
"paid_amount": null,
"refunded_amount": null,
"currency": {
"id": 19,
"name": "Reais",
"code": "BRL",
"symbol": "R$"
},
"description": "",
"created_at": "2025-11-19T11:45:27.000000Z",
"updated_at": "2025-11-19T11:45:28.000000Z",
"buyer": {
"name": "Buyer Name",
"email": "buyer@example.com",
"document": {
"type": "cpf",
"number": "12345678901"
},
"address": {
"country": "BR",
"city": null,
"street": null,
"number": null,
"complement": null,
"zipcode": null,
"district": null,
"state_code": null
}
},
"originator_legal_entity": {
"name": null,
"document": null,
"helpdesk": null
},
"pix": {
"expire_date": "2025-12-31T23:59:59",
"refund_mode": "FULL_REFUND_MERCHANT",
"qr_code": "00020126910014BR.GOV.BCB.PIX2569api-pix-h.bancobs2.com.br/spi/v2/7cc95f1a-743e-4f4a-a3ad-e2ba14f5f6f8520400005303986540510.005802BR5908Wepayout6014Belo Horizonte61083038040362070503***63049F6B",
"end_to_end": null,
"fine": {
"percent": null,
"amount": null,
"date": null
},
"discount": {
"percent": null,
"amount": null,
"date": null
}
},
"status": {
"id": 1,
"name": "Created"
},
"status_history": [
{
"status": {
"id": 1,
"name": "Created"
},
"updated_at": "2025-11-19T11:45:28.000000Z"
}
],
"substatus": null,
"refunds": [],
"automatic_pix": {
"authorization_id": "auth_123456",
"schedule_id": "sch_123456",
"contract_id": "CONTRACT-1234"
}
}
{
"id": 51693,
"merchant": {
"id": 477,
"name": "Merchant Test Sandbox"
},
"hash": "4e3ff53ee230bdfe7f61c3a25f0a3d36380996dfdae24d60c8a51e175af01de2",
"payment_page": "https://pagar.sandbox.goboleto.com/?hash=4e3ff53ee230bdfe7f61c3a25f0a3d36380996dfdae24d60c8a51e175af01de2",
"our_number": "991763554947",
"invoice": "YOUR-INVOICE-CODE",
"notification_url": null,
"payment_method": "boleto",
"amount": 500,
"paid_amount": null,
"refunded_amount": null,
"currency": {
"id": 19,
"name": "Reais",
"code": "BRL",
"symbol": "R$"
},
"description": "",
"created_at": "2025-11-19T12:22:27.000000Z",
"updated_at": "2025-11-19T12:22:27.000000Z",
"buyer": {
"name": "Buyer Name",
"email": "buyer@example.com",
"document": {
"type": "cpf",
"number": "12345678901"
},
"address": {
"country": "BR",
"city": "City Name",
"street": "Street Name",
"number": "123",
"complement": "Apt 456",
"zipcode": "12345000",
"district": "District Name",
"state_code": "SP"
}
},
"originator_legal_entity": {
"name": "Company Name",
"document": "12345678901",
"helpdesk": "company.com"
},
"boleto": {
"expire_date": "2025-12-31",
"digitable_line": "10499.63208 34000.100049 66666.344205 1 81490000000200",
"bar_code_number": "10491814900000002009632034000900041179634666",
"agreement": {
"number": "666666",
"digit": "6",
"agency": "9999",
"assignor_code": "9999/666666-6"
},
"fine": {
"percent": null,
"amount": null,
"date": null
},
"discount": {
"percent": null,
"amount": null,
"daily_amount": null,
"date": null
}
},
"status": {
"id": 1,
"name": "Created"
},
"status_history": [
{
"status": {
"id": 1,
"name": "Created"
},
"updated_at": "2025-11-19T12:22:27.000000Z"
}
],
"substatus": null,
"refunds": [],
"automatic_pix": null
}
{
"message": "Exception Message"
}
{
"message": "The given data was invalid.",
"errors": {
"pix.expire_date": [
"The pix.expire date must be a date after now."
]
}
}
{
"error": "Forbidden Resource"
}
{
"message": "The given data was invalid.",
"errors": {
"pix.allowed_accounts.0.ispb": [
"The pix.allowed accounts.0.ispb must be 8 characters."
]
}
}
{
"error": "Internal error"
}
Create Charge
Generate a new QR Code Pix or Boleto payment request.Request Body
Merchant id of the account that is creating the payin. The custom number will be different for sandbox and production environment. Is mandatory if there is more than one account under your umbrella (sellers).Min:
2, Max: 10000Your identification number, it must be unique on our database.Max length:
255 charactersThe url where we will submit the callbacks.Min:
1 character, Max: 255 charactersPayment method that will be used in payin.Allowed values:
pix, boletoThe charge total amount in the smallest currency unit (e.g., 100 cents to charge R$1.00). When payment_method is pix, the minimum value is 1. When payment_method is boleto, the minimum value is 500.Min:
1, Max: 15000000Currency code of the amount (ISO 4217).Length:
3 charactersExample: BRLCountry code (ISO 3166-1 alpha-2).Length:
2 charactersExample: BRInstructions that will be displayed to the user.Max length:
140 charactersThe person you are charging object.
Show Buyer Object
Show Buyer Object
The buyer name.Max length:
100 charactersBuyer email address. Required for PIX and Boleto payment methods.Max length:
191 charactersThe buyer’s address. Required when payment_method is boleto.
Use this object to inform the legal name of the final beneficiary. Required when payment_method is boleto.
Show Originator Legal Entity
Show Originator Legal Entity
The final beneficiary name to appear in the payin.Max length:
45 charactersThe tax ID to appear in the charge. If Brazilian, CPF or CNPJ number.Min:
11 characters, Max: 15 charactersWebsite, e-mail address or other customer channel to appear in the payin.Max length:
45 charactersPix QRCode specific instructions. Required when payment_method is PIX.
Show Pix Object
Show Pix Object
The charge expiration date. Format:
YYYY-MM-DDTHH:MM:SSImportant: When using time 00:00:00 means BEGINNING of the day, NOT end of the day.Min: 10 characters, Max: 19 charactersExample: 2024-12-31T23:59:59FULL_REFUND_MERCHANT: The refund amount will be fully debited from the wallet of the issuer of the payinFULL_REFUND_CLIENT: The refund amount will be fully debited from the client walletFULL_REFUND_RECIPIENT: The refund amount will be fully debited from the seller informed in the splitREFUND_BY_SPLIT: Allows you to indicate at the time of the refund which wallets will be debited
FULL_REFUND_MERCHANT, FULL_REFUND_CLIENT, FULL_REFUND_RECIPIENT, REFUND_BY_SPLITDefault: FULL_REFUND_MERCHANTSchedule a discount for early payment, before the due date.
Show Discount Object
Show Discount Object
Automatic Pix configuration object. Required when creating an Automatic Pix charge.
Show Automatic Pix Object
Show Automatic Pix Object
Recurrence frequency.Allowed values:
weekly, monthly, quarterly, semiannual, annualThe fixed amount to be charged in each cycle. Required if
minimum_authorization_amount is not provided.Min: 1The minimum amount for authorization. Required if
amount is not provided.Min: 1The amount to be authorized. Required when
minimum_authorization_amount is provided.Min: 1The type of the automatic pix.Allowed values:
immediate, optionalUnique identifier for the contract (invoice ID).Max length:
35 charactersName of the contract (invoice name).Max length:
35 charactersURL to receive authorization notifications.Max length:
255 charactersThe start date of the automatic pix. Format:
YYYY-MM-DDNumber of cycles for the automatic pix.Min:
1Boleto specific instructions. Required when payment_method is BOLETO.
Show Boleto Object
Show Boleto Object
The payin expiration date. Format:
YYYY-MM-DDExample: 2024-12-31Response
WEpayment’s auto generated id, use this id to perform conciliation or perform queries via API / Dashboard.
WEpayments auto generated hash, use this hash to send your user to the payment page.
The WEpayments payment page is the place where you will redirect the end customer to pay the bill.
The bank identification number.
Your identification number.
The url where we will submit the callbacks.
Payment method that will be used in payin.Values:
pix, boletoThe payin total amount in cents.
The total amount of the payin paid.
Amount refunded from this charge. Only pix payment_method.
Instructions that will be displayed to the user.
The person you are charging object.
Final Beneficiary object.
Pix QRCode specific instructions object.
Show Pix Response
Show Pix Response
Expiration date in format YYYY-MM-DDTHH:MM:SS.
Type of refund mode.
QRCode Pix / Copy and paste that will be used by your end customer to make the payin payment.
Unique identifier for a transaction.
Fine when the expiration date is reached.
Discount when a certain date is reached.
Boleto specific instructions object.
Show Boleto Response
Show Boleto Response
Expiration date in format YYYY-MM-DD.
Typed boleto line that will be used by your end customer to pay payin.
Barcode number for the boleto.
Extra data for billet rendering.
Fine when the expiration date is reached.
Discount when a certain date is reached.
Status History object.
Sub status object. Can be null.
Refund object.
Cash-in created date.
Cash-in update date.
curl --location 'https://api.sandbox.wepayout.co/v2/payin/payments' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_TOKEN_HERE' \
--data-raw '{
"pix": {
"expire_date": "2025-12-31T23:59:59"
},
"buyer": {
"name": "Buyer Name",
"document": {
"type": "CPF",
"number": "34960826312"
},
"email": "buyer-email@wepayments.com.br"
},
"amount": 3000,
"invoice": "YOUR-CODE1234",
"country": "BR",
"currency": "BRL",
"payment_method": "pix"
}'
curl --location 'https://api.sandbox.wepayout.co/v2/payin/payments' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_TOKEN_HERE' \
--data-raw '{
"payment_method": "pix",
"invoice": "YOUR-CODE1234",
"currency": "BRL",
"amount": 3000,
"country": "BR",
"buyer": {
"name": "Buyer Name",
"email": "buyer-email@wepayments.com.br",
"document": {
"type": "CPF",
"number": "34960826312"
}
},
"pix": {
"expire_date": "2025-12-31T23:59:59"
},
"automatic_pix": {
"frequency": "monthly",
"amount": 3000,
"type": "immediate",
"contract_id": "CONTRACT-1234",
"contract_name": "Monthly Service",
"start_date": "2025-01-01"
}
}'
curl --location 'https://api.sandbox.wepayout.co/v2/payin/payments' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_TOKEN_HERE' \
--data-raw '{
"payment_method": "boleto",
"invoice": "YOUR-INVOICE-CODE",
"currency": "BRL",
"amount": 500,
"country": "BR",
"buyer": {
"name": "Buyer Name",
"email": "buyer@example.com",
"document": {
"type": "CPF",
"number": "12345678901"
},
"address": {
"street": "Street Name",
"number": "123",
"complement": "Apt 456",
"zipcode": "12345000",
"city": "City Name",
"district": "District Name",
"state_code": "SP"
}
},
"originator_legal_entity": {
"name": "Company Name",
"document": "12345678901",
"helpdesk": "company.com"
},
"boleto": {
"expire_date": "2025-12-31"
}
}'
{
"id": 51687,
"merchant": {
"id": 477,
"name": "Merchant Test Sandbox"
},
"hash": "642fadb2dd586c6fe00ed4c47193757c1db23d190378817976391f1c61787847",
"payment_page": "https://pagar.sandbox.goboleto.com/?hash=642fadb2dd586c6fe00ed4c47193757c1db23d190378817976391f1c61787847",
"our_number": "30896",
"invoice": "YOUR-INVOICE-CODE",
"notification_url": null,
"payment_method": "pix",
"amount": 3000,
"paid_amount": null,
"refunded_amount": null,
"currency": {
"id": 19,
"name": "Reais",
"code": "BRL",
"symbol": "R$"
},
"description": "",
"created_at": "2025-11-19T11:45:27.000000Z",
"updated_at": "2025-11-19T11:45:28.000000Z",
"buyer": {
"name": "Buyer Name",
"email": "buyer@example.com",
"document": {
"type": "cpf",
"number": "12345678901"
},
"address": {
"country": "BR",
"city": null,
"street": null,
"number": null,
"complement": null,
"zipcode": null,
"district": null,
"state_code": null
}
},
"originator_legal_entity": {
"name": null,
"document": null,
"helpdesk": null
},
"pix": {
"expire_date": "2025-12-31T23:59:59",
"refund_mode": "FULL_REFUND_MERCHANT",
"qr_code": "00020126910014BR.GOV.BCB.PIX2569api-pix-h.bancobs2.com.br/spi/v2/7cc95f1a-743e-4f4a-a3ad-e2ba14f5f6f8520400005303986540510.005802BR5908Wepayout6014Belo Horizonte61083038040362070503***63049F6B",
"end_to_end": null,
"fine": {
"percent": null,
"amount": null,
"date": null
},
"discount": {
"percent": null,
"amount": null,
"date": null
}
},
"status": {
"id": 1,
"name": "Created"
},
"status_history": [
{
"status": {
"id": 1,
"name": "Created"
},
"updated_at": "2025-11-19T11:45:28.000000Z"
}
],
"substatus": null,
"refunds": [],
"automatic_pix": null
}
{
"id": 51699,
"merchant": {
"id": 477,
"name": "Merchant Test Sandbox"
},
"hash": "642fadb2dd586c6fe00ed4c47193757c1db23d190378817976391f1c61787847",
"payment_page": "https://pagar.sandbox.goboleto.com/?hash=642fadb2dd586c6fe00ed4c47193757c1db23d190378817976391f1c61787847",
"our_number": "30896",
"invoice": "YOUR-INVOICE-CODE",
"notification_url": null,
"payment_method": "pix",
"amount": 3000,
"paid_amount": null,
"refunded_amount": null,
"currency": {
"id": 19,
"name": "Reais",
"code": "BRL",
"symbol": "R$"
},
"description": "",
"created_at": "2025-11-19T11:45:27.000000Z",
"updated_at": "2025-11-19T11:45:28.000000Z",
"buyer": {
"name": "Buyer Name",
"email": "buyer@example.com",
"document": {
"type": "cpf",
"number": "12345678901"
},
"address": {
"country": "BR",
"city": null,
"street": null,
"number": null,
"complement": null,
"zipcode": null,
"district": null,
"state_code": null
}
},
"originator_legal_entity": {
"name": null,
"document": null,
"helpdesk": null
},
"pix": {
"expire_date": "2025-12-31T23:59:59",
"refund_mode": "FULL_REFUND_MERCHANT",
"qr_code": "00020126910014BR.GOV.BCB.PIX2569api-pix-h.bancobs2.com.br/spi/v2/7cc95f1a-743e-4f4a-a3ad-e2ba14f5f6f8520400005303986540510.005802BR5908Wepayout6014Belo Horizonte61083038040362070503***63049F6B",
"end_to_end": null,
"fine": {
"percent": null,
"amount": null,
"date": null
},
"discount": {
"percent": null,
"amount": null,
"date": null
}
},
"status": {
"id": 1,
"name": "Created"
},
"status_history": [
{
"status": {
"id": 1,
"name": "Created"
},
"updated_at": "2025-11-19T11:45:28.000000Z"
}
],
"substatus": null,
"refunds": [],
"automatic_pix": {
"authorization_id": "auth_123456",
"schedule_id": "sch_123456",
"contract_id": "CONTRACT-1234"
}
}
{
"id": 51693,
"merchant": {
"id": 477,
"name": "Merchant Test Sandbox"
},
"hash": "4e3ff53ee230bdfe7f61c3a25f0a3d36380996dfdae24d60c8a51e175af01de2",
"payment_page": "https://pagar.sandbox.goboleto.com/?hash=4e3ff53ee230bdfe7f61c3a25f0a3d36380996dfdae24d60c8a51e175af01de2",
"our_number": "991763554947",
"invoice": "YOUR-INVOICE-CODE",
"notification_url": null,
"payment_method": "boleto",
"amount": 500,
"paid_amount": null,
"refunded_amount": null,
"currency": {
"id": 19,
"name": "Reais",
"code": "BRL",
"symbol": "R$"
},
"description": "",
"created_at": "2025-11-19T12:22:27.000000Z",
"updated_at": "2025-11-19T12:22:27.000000Z",
"buyer": {
"name": "Buyer Name",
"email": "buyer@example.com",
"document": {
"type": "cpf",
"number": "12345678901"
},
"address": {
"country": "BR",
"city": "City Name",
"street": "Street Name",
"number": "123",
"complement": "Apt 456",
"zipcode": "12345000",
"district": "District Name",
"state_code": "SP"
}
},
"originator_legal_entity": {
"name": "Company Name",
"document": "12345678901",
"helpdesk": "company.com"
},
"boleto": {
"expire_date": "2025-12-31",
"digitable_line": "10499.63208 34000.100049 66666.344205 1 81490000000200",
"bar_code_number": "10491814900000002009632034000900041179634666",
"agreement": {
"number": "666666",
"digit": "6",
"agency": "9999",
"assignor_code": "9999/666666-6"
},
"fine": {
"percent": null,
"amount": null,
"date": null
},
"discount": {
"percent": null,
"amount": null,
"daily_amount": null,
"date": null
}
},
"status": {
"id": 1,
"name": "Created"
},
"status_history": [
{
"status": {
"id": 1,
"name": "Created"
},
"updated_at": "2025-11-19T12:22:27.000000Z"
}
],
"substatus": null,
"refunds": [],
"automatic_pix": null
}
{
"message": "Exception Message"
}
{
"message": "The given data was invalid.",
"errors": {
"pix.expire_date": [
"The pix.expire date must be a date after now."
]
}
}
{
"error": "Forbidden Resource"
}
{
"message": "The given data was invalid.",
"errors": {
"pix.allowed_accounts.0.ispb": [
"The pix.allowed accounts.0.ispb must be 8 characters."
]
}
}
{
"error": "Internal error"
}
Related Resources
Payin Webhook
Receive real-time payin status notifications
Test Documents
Test values and documents for payin testing
Get Unique Charge
Retrieve a specific charge by ID
Was this page helpful?
⌘I

